Subject: Re: bug#67000: 30.0.50; [PATCH] Add support for reading/writing IELM input history

From: Simen Heggestøyl <[email-masked]>
Date: Thu, 15 Feb 2024 08:53:00 +0100

Stefan Kangas <[email-masked]> writes:

> LGTM, please install.

Done! Thanks again for reviewing.

>>>> +(defcustom ielm-history-file-name
>>>> +  (locate-user-emacs-file "ielm-history.eld")
>>>> +  "If non-nil, name of the file to read/write IELM input history."
>>>> +  :type '(choice (const :tag "nil" nil)
>>>
>>> The tag here should be "Disable input history" or something like that.
>>
>> Ok. Should it be updated for `comint-input-ring-file-name' too then (I
>> copied it from there)?
>
> Yes, that could be improved too.

Done.

>> From fe91c4f3aaefc109135c48ba26f8f21e87db465e Mon Sep 17 00:00:00 2001
>> From: =?UTF-8?q?Simen=20Heggest=C3=B8yl?= <[email-masked]>
>> Date: Tue, 16 Jan 2024 08:21:41 +0100
>> Subject: [PATCH] Add support for reading/writing IELM input history
>>
>> * lisp/ielm.el (inferior-emacs-lisp-mode): Add support for
>> reading/writing input history.
>
> How about:
>
>     "Add support for saving input history to a file"

Changed.

>> (ielm--history-file-name): Name of the file to read/write IELM input
>> history.
>
> Maybe:
>
>     "New variable indicating IELM input history file.

Changed.

>> +(defcustom ielm-history-file-name
>> +  (locate-user-emacs-file "ielm-history.eld")
>> +  "If non-nil, name of the file to read/write IELM input history."
>> +  :type '(choice (const :tag "Disable input history" nil)
>> +                 file)
>> +  :version "30.1")
>
> Maybe `file' should have a tag too?

The label in the Custom menu says "File", which seems fine to me? Though
I never use Custom, so I'm not sure what's customary here. I installed
the above without changes, but please feel free to change it.

-- Simen